
<h3 class="card-title">Add user using template-driven</h3>

<button routerLink="/" class="btn btn-secondary">Back</button>

<form (ngSubmit)="onSubmit()" #userForm="ngForm">
    <div class="form-group">
        <label>Username</label>
        <input type="text" name="username" class="form-control" required [(ngModel)]="model.username" #name="ngModel">
        <div *ngIf="name.touched && !name.valid" class="form-username-error form-error">
            This username must exist.
        </div>
    </div>
    <div class="form-group">
        <label>Email</label>
        <input type="email" name="email" class="form-control" pattern="\b[\w\.-]+@[\w\.-]+\.\w{2,4}\b" required [(ngModel)]="model.email" #email="ngModel">
        <div *ngIf="email.touched && !email.valid" class="form-email-error form-error">
            This is not correct email.
        </div>
    </div>
    <div class="form-group">
        <label>Password</label>
        <my-password-input name="password" class="form-control" pattern="^(?=.*\d)(?=.*[a-z])(?=.*[A-Z])(?=.*[a-zA-Z]).{8,}$" required [(ngModel)]="model.password" #pass1="ngModel" [canShowPassword]="false"> </my-password-input>
        <div *ngIf="pass1.touched && !pass1.valid" class="form-password-error form-error">
            Password should have at least 8 characters including one uppercase, one lowercase and one number
        </div>
    </div>
    <div class="form-group">
        <label>Repeat Password</label>
        <my-password-input name="password_match" class="form-control" required [(ngModel)]="model.password2" #pass2="ngModel" [mustMatch]="pass1.value"> </my-password-input>
        <div *ngIf="pass1.touched && pass2.touched && !pass2.valid" class="form-password_match-error form-error">
            <p *ngIf="!pass2.errors?.required && pass2.errors?.noMatch">Passwords should match.</p>
            <p *ngIf="pass2.errors?.required">Passwords should be confirm.</p>
        </div>
    </div>
    <div class="form-group">
        <label>Phone Number</label>
        <input ngModel class="form-control" name="phoneNumber" type="tel" required pattern="\(\d{3}\)\s\d{3}-\d{4}" [(ngModel)]="model.phoneNumber" #phoneNumber="ngModel">
        <div *ngIf="phoneNumber.touched && !phoneNumber.valid" class="form-phoneNumber-error form-error">
            This phone number is invalid. Valid format is (999) 999-9999
        </div>
    </div>
    <div class="form-group">
        <label>Country</label>
        <select *ngIf="countriesData" class="form-control" name="country" required [(ngModel)]="model.countryID" (change)="changeCountry()">
            <option value="">--Select Country--</option>
            <option *ngFor="let item of countriesData" [value]="item.id">{{ item.name }}</option>
        </select>
        <div *ngIf="!countriesData" class="form-countriesData-error form-error">
            Countries are unavailables.
        </div>
        <div *ngIf="countriesData && !model.countryID" class="form-countriesData-error form-error">
            Please select a country.
        </div>
    </div>
    <div class="form-group">
        <label>State</label>
        <select *ngIf="statesData" class="form-control" name="state" required [(ngModel)]="model.stateID">
            <option value="">--Select State--</option>
            <option *ngFor="let item of statesData" [value]="item.id">{{ item.name }}</option>
        </select>
        <div *ngIf="!statesData" class="form-error">
            States are unavailables.
        </div>
        <div *ngIf="statesData && !model.stateID" class="form-state-error form-error">
            This state is not valid, please select a state.
        </div>
    </div>
    <div class="form-group">
        <button [disabled]="!userForm.form.valid" type="submit" class="btn btn-primary ">Sign up</button>
    </div>
</form>
